Bug 182576 - plague-builder doesn't release port when killed ?
plague-builder doesn't release port when killed ?
Product: Fedora
Classification: Fedora
Component: plague (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-02-23 09:26 EST by Karsten Hopp
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-13 00:22:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2006-02-23 09:26:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de; rv: Gecko/20060202 Fedora/ Firefox/

Description of problem:
[root@hagen ~]# ps auxww| grep plag
root     19842  0.0  0.0   3900   728 pts/11   R+   15:23   0:00 grep plag
[root@hagen ~]# lsof | grep plague
native    23071 plague-builder    3u     IPv4     196198                  TCP hagen.stuttgart.redhat.com:8889 (LISTEN)
native    23071 plague-builder    4u     IPv4     196205                  TCP hagen.stuttgart.redhat.com:8888 (LISTE

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.killall plague-builder
2.check that plague-builder isn't running
3.try to restart plague-builder and watch it fail because the port is still in use

Actual Results:  ./native is still running and blocking the ports. killing plague-builder should kill 'native', too.

Expected Results:  plague-builder should start immediately without having to kill native

Additional info:
Comment 1 Dan Williams 2006-03-13 00:22:23 EST
Current CVS HEAD and plague-0.4.4 release (now built in Extras) should fix this.
 A SIGTERM handler was implemented that allows for clean shutdown.  Please let
me know if it's not fixed with either HEAD or plague 0.4.4.

Note You need to log in before you can comment on or make changes to this bug.